Check Name Availability - Check Name Availability
Performs the resource name availability check.
Checks the resource name availability.
POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.DataReplication/locations/{location}/checkNameAvailability?api-version=2021-02-16-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string minLength: 1 |
The name of the Azure region. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| name |
string |
Gets or sets the resource name. |
| type |
string |
Gets or sets the resource type. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| Other Status Codes |
Error |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
CheckNameAvailability
Sample request
POST https://management.azure.com/subscriptions/930CEC23-4430-4513-B855-DBA237E2F3BF/providers/Microsoft.DataReplication/locations/trfqtbtmusswpibw/checkNameAvailability?api-version=2021-02-16-preview
{
"name": "updkdcixs",
"type": "gngmcancdauwhdixjjvqnfkvqc"
}
Sample response
{
"nameAvailable": true,
"reason": "wwbvswyrmghbmv",
"message": "gddmrunlrhtuhm"
}
Definitions
| Name | Description |
|---|---|
|
Check |
Check name availability model. |
|
Check |
Check name availability response model. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
CheckNameAvailabilityModel
Check name availability model.
| Name | Type | Description |
|---|---|---|
| name |
string |
Gets or sets the resource name. |
| type |
string |
Gets or sets the resource type. |
CheckNameAvailabilityResponseModel
Check name availability response model.
| Name | Type | Description |
|---|---|---|
| message |
string |
Gets or sets the message for resource name unavailability. |
| nameAvailable |
boolean |
Gets or sets a value indicating whether resource name is available or not. |
| reason |
string |
Gets or sets the reason for resource name unavailability. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |